<form [formGroup]="searchForm">
    <div class="form-group">
        <nb-select fullWidth class="search-selector" placeholder="Seleccionar edificio comercial" formControlName="comercialBuilding">
            <nb-option
                *ngFor="let comercialBuilding of comercialBuildings; let i = index"
                [value]="i">
                <span class="capitalize-first">
                    {{ comercialBuilding.itemLabel.value }}
                </span>
            </nb-option>
        </nb-select>
    </div>
</form>
